#############################################################################
# PhotoCollection plugin setup.
#
# - collection.base     defines the file system path, relative to the wiki
#                       webapp container, of the root directory of the photo
#                       collection.
#  Note: this is the only property needed for a basic (default) installation.
#
# - collection.alias    if defined will be used to replace the collection.base
#                       value in all wiki page titles to make them more friendly.
#
# n.b. you can't refer to original directories, e.g.
#      photo.file.root = /home/shared/pictures/
#      because the web server has to fetch the images from within
#      the webapp container. Use a symlink to keep the pictures externally.
# ln -s /home/shared/pictures/ /opt/apache-tomcat-5.5.27/webapps/wiki/files/pictures
#
photoCollection.collection.base = files/pictures/
photoCollection.collection.alias = photos

# - default.phototype  defines the file types to be treated as photos
#                      (comma-separated list) (default is JPG)
#
#  Note: this plugin assumes your collection is of "typical" digital camera
#        filenames, e.g. DSCF1234.JPG (DOS-style filenames)
#
photoCollection.default.phototype = JPG, PNG

# - default.sortmethod  defines the sort method for contents of a folder:-
#                       newdate (default), date or name.
#
photoCollection.default.sortmethod = date

# - default.thumbspath  is the subdirectory relative to the image file
#                       to search for an associated thumbnail.
# - default.thumbspfx   will be used to prefix any image filenames when
#                       trying to find an associated thumbnail.
# - default.thumbssfx   will be used to suffix any image filenames when
#                       trying to find an associated thumbnail (appended to
#                       filename part, then followed by the filetype).
#
photoCollection.default.thumbspath = .ginp
photoCollection.default.thumbspfx = 200-
#photoCollection.default.thumbssfx = -thumbs
#
# e.g. /files/pictures/2010/holiday/DSCF1234.JPG would cause the plugin to look
# for  /files/pictures/2010/holiday/.ginp/200-DSCF1234-thumbs.JPG
#


#############################################################################
#  This sets the default template used by the Wiki engine.  The templates
#  live in templates/<template name>.  JSPWiki will attempt to find three
#  basic templates from that directory: "ViewTemplate," "EditTemplate"
#  and "AdminTemplate"
#
#  By default this is called "default".
#
#  This option can be overridden on a per-page basis using the SET directive.
#
#  The PhotoCollectionPlugin expects to use a special site template to
#  invoke a custom tag to generate pretty titles for its wiki pages. All
#  other kinds of pages will be processed as normal
#
jspwiki.templateDir = photoCollection

jspwiki.plugin.searchPath = com.pingtoo.jspwiki.plugin

